aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJan-Simon Moeller <jsmoeller@linuxfoundation.org>2022-02-15 17:54:16 +0100
committerJan-Simon Moeller <jsmoeller@linuxfoundation.org>2022-02-15 22:03:19 +0100
commitd22dd67991f33efb38295cf2b9fe392a27178005 (patch)
treea321b4edcf8e2e27d600e6d387906e6eb0bcf028
parente37a0075c86c57f7d6a06c8bb8c0edc8b83ee98c (diff)
Fix screenshot test and user sessionmarlin_12.93.0marlin/12.93.012.93.0
The user session has its own daemon that needs to be reloaded separately. Thus execute a separate reload call. Bug-AGL: SPEC-4165 Signed-off-by: Jan-Simon Moeller <jsmoeller@linuxfoundation.org> Change-Id: Ie58423dfb29002660eea69462623d3f37614079f
-rwxr-xr-xcommon/scripts/agl-screenshot-test.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/common/scripts/agl-screenshot-test.sh b/common/scripts/agl-screenshot-test.sh
index 84e4d85..cdd536a 100755
--- a/common/scripts/agl-screenshot-test.sh
+++ b/common/scripts/agl-screenshot-test.sh
@@ -30,7 +30,8 @@ sed -i '/^\[core\]/a hide-cursor=true' /etc/xdg/weston/weston.ini
# enable red/green/blue test screen
echo 'HOMESCREEN_DEMO_CI=1' > /etc/default/homescreen
sync
-systemctl daemon-reload
+systemctl daemon-reload || true
+su - agl-driver -c 'export DBUS_SESSION_BUS_ADDRESS="unix:path=/run/user/1001/bus" ; systemctl --user daemon-reload' || true
sleep 2
# create initial journal cursor file